@font-face {
  font-family: "Courier Prime";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("/fonts/courier-prime-subset.woff2") format("woff2");
}

@font-face {
  font-family: "Cabin";
  font-style: italic;
  font-weight: 400;
  font-display: swap;
  src: url("/fonts/cabin-italic-subset.woff2") format("woff2");
}

* {
    font-family: "Courier Prime", "Courier New", monospace;
}

html {
    font-size: 14px;
}


h1, h2, h3 {
    font-family: "Courier Prime", "Courier New", monospace;
    font-weight: 400;
    margin-top: 0;
}

body {
    color: #2A2A2A;
    padding: 24px;
}

nav {
    text-transform: uppercase;
    margin-bottom: 80px;
    text-align: center;
    margin-top: 80px;
    display: flex;
    gap: 2rem;
    justify-content: center;
}

nav a {
    font-family: "Courier Prime", "Courier New", monospace;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 1.2rem;
    color: #2A2A2A;
    letter-spacing: 20%;
}

nav a:hover {
    color: #A84432;
}

nav a::before {
    content: '>';
    opacity: 0;
    padding-right: 6px;
}

nav a::after {
    content: '<';
    opacity: 0;
    padding-left: 6px;
}

nav a:hover::before {
    opacity: 1;
}

#logo {
    text-align: center;
    margin-top: 80px;
    position: relative;
    display: block;
}

#logo h1 {
    font-size: 60px;
    font-weight: 400;
    text-align: center;
    letter-spacing: 30%;
    margin: 0;
    margin-bottom: 30px;
    font-family: "Cabin", sans-serif;
    font-style: italic;
}

#logo h2 {
    text-transform: uppercase;
    font-weight: 400;
    font-size: 1.2rem;
    letter-spacing: 30%;
}

#hero {
    width: 100%;
    max-width: 1400px;
    margin: auto;
    height: 400px;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 24px;
}

#hero img {
    position: absolute;
    width: 100%;
    min-width: 800px;
}

main {
    display: flex;
    flex-direction: column;
}

section {
    margin: 40px 0;
    display: flex;
    gap: 4rem;
}

section div {
    flex: 1;
}

section div:nth-child(2) {
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

section div img {
    width: 100%;
    min-width: 600px;
    position: absolute;
}

section:nth-child(odd) {
    flex-direction: row-reverse;
}

section a::before {
    content: '>';
    padding-right: 6px;
}

section a:hover {
    color: #A84432;
}

p {
    line-height: 2rem;
    letter-spacing: 10%;
}

a {
    color: #2A2A2A;
    text-transform: uppercase;
    text-decoration: none;
}


footer {
    background-color: #F8F8F8;
    padding: 32px;
}

.wrapper {
    max-width: 1400px;
    margin: auto;
}

footer .wrapper > div {
    display: flex;
    gap: 4rem;
}

footer .wrapper > div > div {
    flex: 1;
}

img {
    filter: grayscale(100%);
}

@media (max-width: 575.98px) {
    nav {
        flex-direction: column;
    }

    h1 {
        font-size: 2.5rem !important;
    }

    section {
        flex-direction: column !important;
    }

    section div img {
        position: relative !important;
    }

    footer .wrapper > div {
        flex-direction: column;
    }

    body {
        margin: 0;
    }

    section div:nth-child(2) {
        margin: -24px;
    }
}
